Fedora 21 : xen-4.4.1-9.fc21 (2014-15951)

High Nessus Plugin ID 79902

Synopsis

The remote Fedora host is missing a security update.

Description

Excessive checking in compatibility mode hypercall argument translation, Insufficient bounding of 'REP MOVS' to MMIO emulated inside the hypervisor, fix segfaults and failures in xl migrate
--debug Guest effectable page reference leak in MMU_MACHPHYS_UPDATE handling Insufficient restrictions on certain MMU update hypercalls, Missing privilege level checks in x86 emulation of far branches, Add fix for CVE-2014-0150 to qemu-dm, though it probably isn't exploitable from xen

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected xen package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=1078846

https://bugzilla.redhat.com/show_bug.cgi?id=1160643

https://bugzilla.redhat.com/show_bug.cgi?id=1160664

https://bugzilla.redhat.com/show_bug.cgi?id=1166913

http://www.nessus.org/u?16c89703

Plugin Details

Severity: High

ID: 79902

File Name: fedora_2014-15951.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2014/12/15

Updated: 2020/03/12

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.1

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:xen, cpe:/o:fedoraproject:fedora:21

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/11/29

Reference Information

CVE: CVE-2014-0150, CVE-2014-8594, CVE-2014-8595, CVE-2014-9030

BID: 66821, 71149, 71151, 71207

FEDORA: 2014-15951